> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取已完成的酒店搜索任务

> **“Tasks Ready”** 端点旨在提供尚未获取的已完成任务列表。



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/business_data/google/hotel_searches/tasks_ready
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/hotel_searches/tasks_ready:
    get:
      summary: 获取已完成的酒店搜索任务
      description: >-
        **‘Tasks Ready’** 端点用于提供尚未获取的已完成任务列表。如果不使用
        `postback_url`，可以通过此端点获取所有已完成任务的 `id` 列表。然后，可以使用 **‘Task GET’** 端点获取结果。
      operationId: get_dataforseo_business_data_google_hotel_searches_tasks_ready
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*任务总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`** 数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '*返回的 **`tasks`** 数组中发生错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      *任务标识符* **我们系统中采用
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式的唯一任务标识符**
                  tasks.status_code:
                    type: integer
                    description: >-
                      由 DataForSEO 生成的*任务状态码*；范围为
                      10000-60000；你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表
                  tasks.status_message:
                    type: string
                    description: >-
                      *任务的提示信息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看通用提示信息的完整列表
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含请求 URL 中传递的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.id:
                    type: string
                    description: >-
                      *已完成任务的任务标识符* **我们系统中的唯一任务标识符，采用
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式**
                  result.se:
                    type: string
                    description: '*设置任务时指定的搜索引擎*可取以下值：`google`'
                  result.se_type:
                    type: string
                    description: '*搜索引擎类型*'
                  result.date_posted:
                    type: string
                    description: '*任务发布的日期（UTC 格式）*'
                  result.tag:
                    type: string
                    description: '*用户定义的任务标识符*'
                  result.endpoint:
                    type: string
                    description: '*用于收集任务结果的 URL*'
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````